[ARVADOS] updated: 2.1.0-2067-g5cb1aa8fe
Git user
git at public.arvados.org
Tue Mar 15 17:48:03 UTC 2022
Summary of changes:
tools/compute-images/scripts/base.sh | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
via 5cb1aa8feafe066fad49cd3d4905bdecd2b8f758 (commit)
via b208afeedeeb697c39cc44fcbe4e34a069e0b1e2 (commit)
from ca6e3f04150dae9af6b86828a5af2a4400892487 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 5cb1aa8feafe066fad49cd3d4905bdecd2b8f758
Author: Ward Vandewege <ward at curii.com>
Date: Tue Mar 15 12:46:13 2022 -0400
Handle 'add-apt-repository contrib' on Ubuntu 18.04 properly.
refs #18772
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/tools/compute-images/scripts/base.sh b/tools/compute-images/scripts/base.sh
index 5ee52174a..42fe0d034 100644
--- a/tools/compute-images/scripts/base.sh
+++ b/tools/compute-images/scripts/base.sh
@@ -191,7 +191,8 @@ if [ "$NVIDIA_GPU_SUPPORT" == "1" ]; then
$SUDO apt-key adv --fetch-keys https://developer.download.nvidia.com/compute/cuda/repos/$DIST/x86_64/7fa2af80.pub
$SUDO apt-get -y install software-properties-common
$SUDO add-apt-repository "deb https://developer.download.nvidia.com/compute/cuda/repos/$DIST/x86_64/ /"
- $SUDO add-apt-repository contrib
+ # Ubuntu 18.04's add-apt-repository does not understand 'contrib'
+ $SUDO add-apt-repository contrib || true
$SUDO apt-get update
$SUDO apt-get -y install cuda
commit b208afeedeeb697c39cc44fcbe4e34a069e0b1e2
Author: Ward Vandewege <ward at curii.com>
Date: Tue Mar 15 11:48:57 2022 -0400
Fix azure compute node image build.
refs #18772
Arvados-DCO-1.1-Signed-off-by: Ward Vandewege <ward at curii.com>
diff --git a/tools/compute-images/scripts/base.sh b/tools/compute-images/scripts/base.sh
index 90b845f1a..5ee52174a 100644
--- a/tools/compute-images/scripts/base.sh
+++ b/tools/compute-images/scripts/base.sh
@@ -145,7 +145,10 @@ if [ "x$RESOLVER" != "x" ]; then
$SUDO sed -i "s/#prepend domain-name-servers 127.0.0.1;/prepend domain-name-servers ${RESOLVER};/" /etc/dhcp/dhclient.conf
fi
-if [ "$AWS_EBS_AUTOSCALE" != "1" ]; then
+# AWS_EBS_AUTOSCALE is not always set, work around unset variable check
+EBS_AUTOSCALE=${AWS_EBS_AUTOSCALE:-}
+
+if [ "$EBS_AUTOSCALE" != "1" ]; then
# Set up the cloud-init script that will ensure encrypted disks
$SUDO mv /tmp/usr-local-bin-ensure-encrypted-partitions.sh /usr/local/bin/ensure-encrypted-partitions.sh
else
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list